1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71	 X"$0" : 'X\(//\)$' \| \
72	 X"$0" : 'X\(/\)$' \| \
73	 .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
77  	  /^X\/\(\/\).*/{ s//\1/; q; }
78  	  s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140	 case $as_dir in
141	 /*)
142	   if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150	     CONFIG_SHELL=$as_dir/$as_base
151	     export CONFIG_SHELL
152	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153	   fi;;
154	 esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='	' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" 	$as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by $as_me, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile"
275config_headers=" config.h"
276
277ac_cs_usage="\
278\`$as_me' instantiates files from templates according to the
279current configuration.
280
281Usage: $0 [OPTIONS] [FILE]...
282
283  -h, --help       print this help, then exit
284  -V, --version    print version number, then exit
285  -q, --quiet      do not print progress messages
286  -d, --debug      don't remove temporary files
287      --recheck    update $as_me by reconfiguring in the same conditions
288  --file=FILE[:TEMPLATE]
289		   instantiate the configuration file FILE
290  --header=FILE[:TEMPLATE]
291		   instantiate the configuration header FILE
292
293Configuration files:
294$config_files
295
296Configuration headers:
297$config_headers
298
299Report bugs to <bug-autoconf@gnu.org>."
300ac_cs_version="\
301config.status
302configured by ./configure, generated by GNU Autoconf 2.59,
303  with options \"\"
304
305Copyright (C) 2003 Free Software Foundation, Inc.
306This config.status script is free software; the Free Software Foundation
307gives unlimited permission to copy, distribute and modify it."
308srcdir=.
309INSTALL="/bin/install -c"
310# If no file are specified by the user, then we need to provide default
311# value.  By we need to know if files were specified by the user.
312ac_need_defaults=:
313while test $# != 0
314do
315  case $1 in
316  --*=*)
317    ac_option=`expr "x$1" : 'x\([^=]*\)='`
318    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
319    ac_shift=:
320    ;;
321  -*)
322    ac_option=$1
323    ac_optarg=$2
324    ac_shift=shift
325    ;;
326  *) # This is not an option, so the user has probably given explicit
327     # arguments.
328     ac_option=$1
329     ac_need_defaults=false;;
330  esac
331
332  case $ac_option in
333  # Handling of the options.
334  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
335    ac_cs_recheck=: ;;
336  --version | --vers* | -V )
337    echo "$ac_cs_version"; exit 0 ;;
338  --he | --h)
339    # Conflict between --help and --header
340    { { echo "$as_me:$LINENO: error: ambiguous option: $1
341Try \`$0 --help' for more information." >&5
342echo "$as_me: error: ambiguous option: $1
343Try \`$0 --help' for more information." >&2;}
344   { (exit 1); exit 1; }; };;
345  --help | --hel | -h )
346    echo "$ac_cs_usage"; exit 0 ;;
347  --debug | --d* | -d )
348    debug=: ;;
349  --file | --fil | --fi | --f )
350    $ac_shift
351    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
352    ac_need_defaults=false;;
353  --header | --heade | --head | --hea )
354    $ac_shift
355    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
356    ac_need_defaults=false;;
357  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
358  | -silent | --silent | --silen | --sile | --sil | --si | --s)
359    ac_cs_silent=: ;;
360
361  # This is an error.
362  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
363Try \`$0 --help' for more information." >&5
364echo "$as_me: error: unrecognized option: $1
365Try \`$0 --help' for more information." >&2;}
366   { (exit 1); exit 1; }; } ;;
367
368  *) ac_config_targets="$ac_config_targets $1" ;;
369
370  esac
371  shift
372done
373
374ac_configure_extra_args=
375
376if $ac_cs_silent; then
377  exec 6>/dev/null
378  ac_configure_extra_args="$ac_configure_extra_args --silent"
379fi
380
381if $ac_cs_recheck; then
382  echo "running /bin/sh ./configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
383  exec /bin/sh ./configure  $ac_configure_extra_args --no-create --no-recursion
384fi
385
386for ac_config_target in $ac_config_targets
387do
388  case "$ac_config_target" in
389  # Handling of arguments.
390  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
391  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
392  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
393echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
394   { (exit 1); exit 1; }; };;
395  esac
396done
397
398# If the user did not use the arguments to specify the items to instantiate,
399# then the envvar interface is used.  Set only those that are not.
400# We use the long form for the default assignment because of an extremely
401# bizarre bug on SunOS 4.1.3.
402if $ac_need_defaults; then
403  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
404  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
405fi
406
407# Have a temporary directory for convenience.  Make it in the build tree
408# simply because there is no reason to put it here, and in addition,
409# creating and moving files from /tmp can sometimes cause problems.
410# Create a temporary directory, and hook for its removal unless debugging.
411$debug ||
412{
413  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
414  trap '{ (exit 1); exit 1; }' 1 2 13 15
415}
416
417# Create a (secure) tmp directory for tmp files.
418
419{
420  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
421  test -n "$tmp" && test -d "$tmp"
422}  ||
423{
424  tmp=./confstat$$-$RANDOM
425  (umask 077 && mkdir $tmp)
426} ||
427{
428   echo "$me: cannot create a temporary directory in ." >&2
429   { (exit 1); exit 1; }
430}
431
432
433#
434# CONFIG_FILES section.
435#
436
437# No need to generate the scripts if there are no CONFIG_FILES.
438# This happens for instance when ./config.status config.h
439if test -n "$CONFIG_FILES"; then
440  # Protect against being on the right side of a sed subst in config.status.
441  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
442   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
443s,@SHELL@,/bin/sh,;t t
444s,@PATH_SEPARATOR@,:,;t t
445s,@PACKAGE_NAME@,,;t t
446s,@PACKAGE_TARNAME@,,;t t
447s,@PACKAGE_VERSION@,,;t t
448s,@PACKAGE_STRING@,,;t t
449s,@PACKAGE_BUGREPORT@,,;t t
450s,@exec_prefix@,${prefix},;t t
451s,@prefix@,/usr/local,;t t
452s,@program_transform_name@,s,x,x,,;t t
453s,@bindir@,${exec_prefix}/bin,;t t
454s,@sbindir@,${exec_prefix}/sbin,;t t
455s,@libexecdir@,${exec_prefix}/libexec,;t t
456s,@datadir@,${prefix}/share,;t t
457s,@sysconfdir@,${prefix}/etc,;t t
458s,@sharedstatedir@,${prefix}/com,;t t
459s,@localstatedir@,${prefix}/var,;t t
460s,@libdir@,${exec_prefix}/lib,;t t
461s,@includedir@,${prefix}/include,;t t
462s,@oldincludedir@,/usr/include,;t t
463s,@infodir@,${prefix}/info,;t t
464s,@mandir@,${prefix}/man,;t t
465s,@build_alias@,,;t t
466s,@host_alias@,,;t t
467s,@target_alias@,,;t t
468s,@DEFS@,-DHAVE_CONFIG_H,;t t
469s,@ECHO_C@,,;t t
470s,@ECHO_N@,-n,;t t
471s,@ECHO_T@,,;t t
472s,@LIBS@,-lsocket ,;t t
473s,@build@,i586-pc-beos,;t t
474s,@build_cpu@,i586,;t t
475s,@build_vendor@,pc,;t t
476s,@build_os@,beos,;t t
477s,@host@,i586-pc-beos,;t t
478s,@host_cpu@,i586,;t t
479s,@host_vendor@,pc,;t t
480s,@host_os@,beos,;t t
481s,@target@,i586-pc-beos,;t t
482s,@target_cpu@,i586,;t t
483s,@target_vendor@,pc,;t t
484s,@target_os@,beos,;t t
485s,@SHLICC2@,,;t t
486s,@CC@,gcc,;t t
487s,@CFLAGS@,-g -O2,;t t
488s,@LDFLAGS@,,;t t
489s,@CPPFLAGS@,,;t t
490s,@ac_ct_CC@,gcc,;t t
491s,@EXEEXT@,,;t t
492s,@OBJEXT@,o,;t t
493s,@CPP@,gcc -E,;t t
494s,@EGREP@,grep -E,;t t
495s,@LIBOBJS@,,;t t
496s,@V_LEX@,flex -Ppcap_,;t t
497s,@V_YACC@,bison -y -p pcap_,;t t
498s,@RANLIB@,ranlib,;t t
499s,@ac_ct_RANLIB@,ranlib,;t t
500s,@V_CCOPT@,-O2,;t t
501s,@V_DEFS@, -D_U_="__attribute__((unused))",;t t
502s,@V_INCLS@,,;t t
503s,@V_LIBS@,,;t t
504s,@V_PCAP@,haiku,;t t
505s,@V_FINDALLDEVS@,gifc,;t t
506s,@V_RANLIB@,,;t t
507s,@SSRC@,,;t t
508s,@DYEXT@,so,;t t
509s,@INSTALL_PROGRAM@,${INSTALL},;t t
510s,@INSTALL_SCRIPT@,${INSTALL},;t t
511s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
512s,@LTLIBOBJS@,,;t t
513CEOF
514
515  # Split the substitutions into bite-sized pieces for seds with
516  # small command number limits, like on Digital OSF/1 and HP-UX.
517  ac_max_sed_lines=48
518  ac_sed_frag=1 # Number of current file.
519  ac_beg=1 # First line for current file.
520  ac_end=$ac_max_sed_lines # Line after last line for current file.
521  ac_more_lines=:
522  ac_sed_cmds=
523  while $ac_more_lines; do
524    if test $ac_beg -gt 1; then
525      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
526    else
527      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
528    fi
529    if test ! -s $tmp/subs.frag; then
530      ac_more_lines=false
531    else
532      # The purpose of the label and of the branching condition is to
533      # speed up the sed processing (if there are no `@' at all, there
534      # is no need to browse any of the substitutions).
535      # These are the two extra sed commands mentioned above.
536      (echo ':t
537  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
538      if test -z "$ac_sed_cmds"; then
539	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
540      else
541	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
542      fi
543      ac_sed_frag=`expr $ac_sed_frag + 1`
544      ac_beg=$ac_end
545      ac_end=`expr $ac_end + $ac_max_sed_lines`
546    fi
547  done
548  if test -z "$ac_sed_cmds"; then
549    ac_sed_cmds=cat
550  fi
551fi # test -n "$CONFIG_FILES"
552
553for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
554  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
555  case $ac_file in
556  - | *:- | *:-:* ) # input from stdin
557	cat >$tmp/stdin
558	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
559	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
560  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
561	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
562  * )   ac_file_in=$ac_file.in ;;
563  esac
564
565  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
566  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
567$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
568	 X"$ac_file" : 'X\(//\)[^/]' \| \
569	 X"$ac_file" : 'X\(//\)$' \| \
570	 X"$ac_file" : 'X\(/\)' \| \
571	 .     : '\(.\)' 2>/dev/null ||
572echo X"$ac_file" |
573    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
574  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
575  	  /^X\(\/\/\)$/{ s//\1/; q; }
576  	  /^X\(\/\).*/{ s//\1/; q; }
577  	  s/.*/./; q'`
578  { if $as_mkdir_p; then
579    mkdir -p "$ac_dir"
580  else
581    as_dir="$ac_dir"
582    as_dirs=
583    while test ! -d "$as_dir"; do
584      as_dirs="$as_dir $as_dirs"
585      as_dir=`(dirname "$as_dir") 2>/dev/null ||
586$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
587	 X"$as_dir" : 'X\(//\)[^/]' \| \
588	 X"$as_dir" : 'X\(//\)$' \| \
589	 X"$as_dir" : 'X\(/\)' \| \
590	 .     : '\(.\)' 2>/dev/null ||
591echo X"$as_dir" |
592    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
593  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
594  	  /^X\(\/\/\)$/{ s//\1/; q; }
595  	  /^X\(\/\).*/{ s//\1/; q; }
596  	  s/.*/./; q'`
597    done
598    test ! -n "$as_dirs" || mkdir $as_dirs
599  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
600echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
601   { (exit 1); exit 1; }; }; }
602
603  ac_builddir=.
604
605if test "$ac_dir" != .; then
606  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
607  # A "../" for each directory in $ac_dir_suffix.
608  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
609else
610  ac_dir_suffix= ac_top_builddir=
611fi
612
613case $srcdir in
614  .)  # No --srcdir option.  We are building in place.
615    ac_srcdir=.
616    if test -z "$ac_top_builddir"; then
617       ac_top_srcdir=.
618    else
619       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
620    fi ;;
621  [\\/]* | ?:[\\/]* )  # Absolute path.
622    ac_srcdir=$srcdir$ac_dir_suffix;
623    ac_top_srcdir=$srcdir ;;
624  *) # Relative path.
625    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
626    ac_top_srcdir=$ac_top_builddir$srcdir ;;
627esac
628
629# Do not use `cd foo && pwd` to compute absolute paths, because
630# the directories may not exist.
631case `pwd` in
632.) ac_abs_builddir="$ac_dir";;
633*)
634  case "$ac_dir" in
635  .) ac_abs_builddir=`pwd`;;
636  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
637  *) ac_abs_builddir=`pwd`/"$ac_dir";;
638  esac;;
639esac
640case $ac_abs_builddir in
641.) ac_abs_top_builddir=${ac_top_builddir}.;;
642*)
643  case ${ac_top_builddir}. in
644  .) ac_abs_top_builddir=$ac_abs_builddir;;
645  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
646  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
647  esac;;
648esac
649case $ac_abs_builddir in
650.) ac_abs_srcdir=$ac_srcdir;;
651*)
652  case $ac_srcdir in
653  .) ac_abs_srcdir=$ac_abs_builddir;;
654  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
655  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
656  esac;;
657esac
658case $ac_abs_builddir in
659.) ac_abs_top_srcdir=$ac_top_srcdir;;
660*)
661  case $ac_top_srcdir in
662  .) ac_abs_top_srcdir=$ac_abs_builddir;;
663  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
664  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
665  esac;;
666esac
667
668
669  case $INSTALL in
670  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
671  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
672  esac
673
674  if test x"$ac_file" != x-; then
675    { echo "$as_me:$LINENO: creating $ac_file" >&5
676echo "$as_me: creating $ac_file" >&6;}
677    rm -f "$ac_file"
678  fi
679  # Let's still pretend it is `configure' which instantiates (i.e., don't
680  # use $as_me), people would be surprised to read:
681  #    /* config.h.  Generated by config.status.  */
682  if test x"$ac_file" = x-; then
683    configure_input=
684  else
685    configure_input="$ac_file.  "
686  fi
687  configure_input=$configure_input"Generated from `echo $ac_file_in |
688				     sed 's,.*/,,'` by configure."
689
690  # First look for the input files in the build tree, otherwise in the
691  # src tree.
692  ac_file_inputs=`IFS=:
693    for f in $ac_file_in; do
694      case $f in
695      -) echo $tmp/stdin ;;
696      [\\/$]*)
697	 # Absolute (can't be DOS-style, as IFS=:)
698	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
699echo "$as_me: error: cannot find input file: $f" >&2;}
700   { (exit 1); exit 1; }; }
701	 echo "$f";;
702      *) # Relative
703	 if test -f "$f"; then
704	   # Build tree
705	   echo "$f"
706	 elif test -f "$srcdir/$f"; then
707	   # Source tree
708	   echo "$srcdir/$f"
709	 else
710	   # /dev/null tree
711	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
712echo "$as_me: error: cannot find input file: $f" >&2;}
713   { (exit 1); exit 1; }; }
714	 fi;;
715      esac
716    done` || { (exit 1); exit 1; }
717  sed "/^[	 ]*VPATH[	 ]*=/{
718s/:*\$(srcdir):*/:/;
719s/:*\${srcdir}:*/:/;
720s/:*@srcdir@:*/:/;
721s/^\([^=]*=[	 ]*\):*/\1/;
722s/:*$//;
723s/^[^=]*=[	 ]*$//;
724}
725
726:t
727/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
728s,@configure_input@,$configure_input,;t t
729s,@srcdir@,$ac_srcdir,;t t
730s,@abs_srcdir@,$ac_abs_srcdir,;t t
731s,@top_srcdir@,$ac_top_srcdir,;t t
732s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
733s,@builddir@,$ac_builddir,;t t
734s,@abs_builddir@,$ac_abs_builddir,;t t
735s,@top_builddir@,$ac_top_builddir,;t t
736s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
737s,@INSTALL@,$ac_INSTALL,;t t
738" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
739  rm -f $tmp/stdin
740  if test x"$ac_file" != x-; then
741    mv $tmp/out $ac_file
742  else
743    cat $tmp/out
744    rm -f $tmp/out
745  fi
746
747done
748
749#
750# CONFIG_HEADER section.
751#
752
753# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
754# NAME is the cpp macro being defined and VALUE is the value it is being given.
755#
756# ac_d sets the value in "#define NAME VALUE" lines.
757ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
758ac_dB='[	 ].*$,\1#\2'
759ac_dC=' '
760ac_dD=',;t'
761# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
762ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
763ac_uB='$,\1#\2define\3'
764ac_uC=' '
765ac_uD=',;t'
766
767for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
768  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
769  case $ac_file in
770  - | *:- | *:-:* ) # input from stdin
771	cat >$tmp/stdin
772	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
773	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
774  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
775	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
776  * )   ac_file_in=$ac_file.in ;;
777  esac
778
779  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
780echo "$as_me: creating $ac_file" >&6;}
781
782  # First look for the input files in the build tree, otherwise in the
783  # src tree.
784  ac_file_inputs=`IFS=:
785    for f in $ac_file_in; do
786      case $f in
787      -) echo $tmp/stdin ;;
788      [\\/$]*)
789	 # Absolute (can't be DOS-style, as IFS=:)
790	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
791echo "$as_me: error: cannot find input file: $f" >&2;}
792   { (exit 1); exit 1; }; }
793	 # Do quote $f, to prevent DOS paths from being IFS'd.
794	 echo "$f";;
795      *) # Relative
796	 if test -f "$f"; then
797	   # Build tree
798	   echo "$f"
799	 elif test -f "$srcdir/$f"; then
800	   # Source tree
801	   echo "$srcdir/$f"
802	 else
803	   # /dev/null tree
804	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
805echo "$as_me: error: cannot find input file: $f" >&2;}
806   { (exit 1); exit 1; }; }
807	 fi;;
808      esac
809    done` || { (exit 1); exit 1; }
810  # Remove the trailing spaces.
811  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
812
813  # Handle all the #define templates only if necessary.
814  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
815  # If there are no defines, we may have an empty if/fi
816  :
817  cat >$tmp/defines.sed <<CEOF
818/^[	 ]*#[	 ]*define/!b
819t clr
820: clr
821${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
822${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
823${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
824${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
825${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
826${ac_dA}inline${ac_dB}inline${ac_dC}inline${ac_dD}
827${ac_dA}HAVE___ATTRIBUTE__${ac_dB}HAVE___ATTRIBUTE__${ac_dC}1${ac_dD}
828${ac_dA}u_int8_t${ac_dB}u_int8_t${ac_dC}u_char${ac_dD}
829${ac_dA}u_int16_t${ac_dB}u_int16_t${ac_dC}u_short${ac_dD}
830${ac_dA}u_int32_t${ac_dB}u_int32_t${ac_dC}u_int${ac_dD}
831${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
832${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
833${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
834${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
835${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
836${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
837${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
838${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
839${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
840${ac_dA}HAVE_SYS_SOCKIO_H${ac_dB}HAVE_SYS_SOCKIO_H${ac_dC}1${ac_dD}
841${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
842${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
843${ac_dA}HAVE_STRLCPY${ac_dB}HAVE_STRLCPY${ac_dC}1${ac_dD}
844${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
845${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
846${ac_dA}HAVE_SOCKADDR_SA_LEN${ac_dB}HAVE_SOCKADDR_SA_LEN${ac_dC}1${ac_dD}
847${ac_dA}HAVE_VERSION_H${ac_dB}HAVE_VERSION_H${ac_dC}1${ac_dD}
848CEOF
849  sed -f $tmp/defines.sed $tmp/in >$tmp/out
850  rm -f $tmp/in
851  mv $tmp/out $tmp/in
852
853  fi # grep
854
855  # Handle all the #undef templates
856  cat >$tmp/undefs.sed <<CEOF
857/^[	 ]*#[	 ]*undef/!b
858t clr
859: clr
860${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
861${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
862${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
863${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
864${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
865${ac_uA}inline${ac_uB}inline${ac_uC}inline${ac_uD}
866${ac_uA}HAVE___ATTRIBUTE__${ac_uB}HAVE___ATTRIBUTE__${ac_uC}1${ac_uD}
867${ac_uA}u_int8_t${ac_uB}u_int8_t${ac_uC}u_char${ac_uD}
868${ac_uA}u_int16_t${ac_uB}u_int16_t${ac_uC}u_short${ac_uD}
869${ac_uA}u_int32_t${ac_uB}u_int32_t${ac_uC}u_int${ac_uD}
870${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
871${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
872${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
873${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
874${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
875${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
876${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
877${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
878${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
879${ac_uA}HAVE_SYS_SOCKIO_H${ac_uB}HAVE_SYS_SOCKIO_H${ac_uC}1${ac_uD}
880${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
881${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
882${ac_uA}HAVE_STRLCPY${ac_uB}HAVE_STRLCPY${ac_uC}1${ac_uD}
883${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
884${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
885${ac_uA}HAVE_SOCKADDR_SA_LEN${ac_uB}HAVE_SOCKADDR_SA_LEN${ac_uC}1${ac_uD}
886${ac_uA}HAVE_VERSION_H${ac_uB}HAVE_VERSION_H${ac_uC}1${ac_uD}
887s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
888CEOF
889  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
890  rm -f $tmp/in
891  mv $tmp/out $tmp/in
892
893  # Let's still pretend it is `configure' which instantiates (i.e., don't
894  # use $as_me), people would be surprised to read:
895  #    /* config.h.  Generated by config.status.  */
896  if test x"$ac_file" = x-; then
897    echo "/* Generated by configure.  */" >$tmp/config.h
898  else
899    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
900  fi
901  cat $tmp/in >>$tmp/config.h
902  rm -f $tmp/in
903  if test x"$ac_file" != x-; then
904    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
905      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
906echo "$as_me: $ac_file is unchanged" >&6;}
907    else
908      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
909$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
910	 X"$ac_file" : 'X\(//\)[^/]' \| \
911	 X"$ac_file" : 'X\(//\)$' \| \
912	 X"$ac_file" : 'X\(/\)' \| \
913	 .     : '\(.\)' 2>/dev/null ||
914echo X"$ac_file" |
915    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
916  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
917  	  /^X\(\/\/\)$/{ s//\1/; q; }
918  	  /^X\(\/\).*/{ s//\1/; q; }
919  	  s/.*/./; q'`
920      { if $as_mkdir_p; then
921    mkdir -p "$ac_dir"
922  else
923    as_dir="$ac_dir"
924    as_dirs=
925    while test ! -d "$as_dir"; do
926      as_dirs="$as_dir $as_dirs"
927      as_dir=`(dirname "$as_dir") 2>/dev/null ||
928$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
929	 X"$as_dir" : 'X\(//\)[^/]' \| \
930	 X"$as_dir" : 'X\(//\)$' \| \
931	 X"$as_dir" : 'X\(/\)' \| \
932	 .     : '\(.\)' 2>/dev/null ||
933echo X"$as_dir" |
934    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
935  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
936  	  /^X\(\/\/\)$/{ s//\1/; q; }
937  	  /^X\(\/\).*/{ s//\1/; q; }
938  	  s/.*/./; q'`
939    done
940    test ! -n "$as_dirs" || mkdir $as_dirs
941  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
942echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
943   { (exit 1); exit 1; }; }; }
944
945      rm -f $ac_file
946      mv $tmp/config.h $ac_file
947    fi
948  else
949    cat $tmp/config.h
950    rm -f $tmp/config.h
951  fi
952done
953
954{ (exit 0); exit 0; }
955